Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Class ServerPreparedStatement.BindValue

    java.lang.Object
      com.mysql.jdbc.ServerPreparedStatement.BindValue

Enclosing class:
  ServerPreparedStatement

    public static class ServerPreparedStatement.BindValue

extends java.lang.Object

Field Summary
`long` | `bindLength`
`(package private) long` | `boundBeforeExecutionNum`
`(package private) int` | `bufferType`
`(package private) byte` | `byteBinding`
`(package private) double` | `doubleBinding`
`(package private) float` | `floatBinding`
`(package private) int` | `intBinding`
`boolean` | `isLongData`
`boolean` | `isNull`
`(package private) boolean` | `isSet`
`(package private) long` | `longBinding`
`(package private) short` | `shortBinding`
`java.lang.Object` | `value`

Constructor Summary
`ServerPreparedStatement.BindValue()`
`ServerPreparedStatement.BindValue(ServerPreparedStatement.BindValue copyMe)`

Method Summary
`(package private) long` | `getBoundLength()`
`(package private) void` | `reset()`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(boolean quoteIfNeeded)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### boundBeforeExecutionNum

    long boundBeforeExecutionNum

### bindLength

    public long bindLength

### bufferType

    int bufferType

### byteBinding

    byte byteBinding

### doubleBinding

    double doubleBinding

### floatBinding

    float floatBinding

### intBinding

    int intBinding

### isLongData

    public boolean isLongData

### isNull

    public boolean isNull

### isSet

    boolean isSet

### longBinding

    long longBinding

### shortBinding

    short shortBinding

### value

    public java.lang.Object value

Constructor Detail

### ServerPreparedStatement.BindValue

    ServerPreparedStatement.BindValue()

### ServerPreparedStatement.BindValue

    ServerPreparedStatement.BindValue(ServerPreparedStatement.BindValue copyMe)

Method Detail

### reset

    void reset()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toString

    public java.lang.String toString(boolean quoteIfNeeded)

### getBoundLength

    long getBoundLength()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD